org.springframework.aop.aspectj

## Class AspectJExpressionPointcutAdvisor

- java.lang.Object
- - org.springframework.aop.support.AbstractPointcutAdvisor
  - - org.springframework.aop.support.AbstractGenericPointcutAdvisor
    - - org.springframework.aop.aspectj.AspectJExpressionPointcutAdvisor

- All Implemented Interfaces:
    Serializable, Advisor, PointcutAdvisor, Aware, BeanFactoryAware, Ordered

      public class AspectJExpressionPointcutAdvisor
      extends AbstractGenericPointcutAdvisor
      implements BeanFactoryAware

  Spring AOP Advisor that can be used for any AspectJ pointcut expression.
  Since:
    2.0
  Author:
    Rob Harrop
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.aop.Advisor

      `EMPTY_ADVICE`

    - ### Fields inherited from interface org.springframework.core.Ordered

      `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AspectJExpressionPointcutAdvisor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExpression()`
    `String` | `getLocation()`
    `Pointcut` | `getPointcut()` Get the Pointcut that drives this advisor.
    `void` | `setBeanFactory(BeanFactory beanFactory)` Callback that supplies the owning factory to a bean instance.
    `void` | `setExpression(String expression)`
    `void` | `setLocation(String location)`
    `void` | `setParameterNames(String... names)`
    `void` | `setParameterTypes(Class<?>... types)`

    - ### Methods inherited from class org.springframework.aop.support.AbstractGenericPointcutAdvisor

      `getAdvice, setAdvice, toString`

    - ### Methods inherited from class org.springframework.aop.support.AbstractPointcutAdvisor

      `equals, getOrder, hashCode, isPerInstance, setOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AspectJExpressionPointcutAdvisor

          public AspectJExpressionPointcutAdvisor()

  - ### Method Detail

    - #### setExpression

          public void setExpression(@Nullable
                                    String expression)

    - #### getExpression

          @Nullable
          public String getExpression()

    - #### setLocation

          public void setLocation(@Nullable
                                  String location)

    - #### getLocation

          @Nullable
          public String getLocation()

    - #### setParameterNames

          public void setParameterNames(String... names)

    - #### setParameterTypes

          public void setParameterTypes(Class<?>... types)

    - #### setBeanFactory

          public void setBeanFactory(BeanFactory beanFactory)

      Description copied from interface: `BeanFactoryAware`
      Callback that supplies the owning factory to a bean instance.

      Invoked after the population of normal bean properties but before an initialization callback such as `InitializingBean.afterPropertiesSet()` or a custom init-method.

      Specified by:
        `setBeanFactory` in interface `BeanFactoryAware`
      Parameters:
        `beanFactory` - owning BeanFactory (never `null`). The bean can immediately call methods on the factory.
      See Also:
        `BeanInitializationException`

    - #### getPointcut

          public Pointcut getPointcut()

      Description copied from interface: `PointcutAdvisor`
      Get the Pointcut that drives this advisor.
      Specified by:
        `getPointcut` in interface `PointcutAdvisor`